/**
 * Strings in Strings suchen.
 * 
 * @author Owyn
 * @version 2008-06-08
 */
public class String2 {
    
    private String s;
    
    /**
     * Erzeugt einen neuen String.
     * 
     * @param s Inhalt des Strings.
     */
    String2(String s) {
        this.s = s;
    }
    
    /**
     * Sucht einen String im aktuellen String.
     * 
     * @param s2 Der zu suchende String
     * @return Index (im aktuellen String) des ersten Zeichens des ersten Vorkommens von s2 bzw. -1, wenn s2 nicht gefunden wurde
     */
    public int indexOf(String s2) {
        // Annahme: s2 wird nicht gefunden
        int ret = -1;
        
        // So lange s2 nicht gefunden ist und das Suchfenster nicht ueber s hinausgeht:
        for (int i = 0; ret == -1 && i <= s.length() - s2.length(); i++) {
            // Annahme: s2 wird an dieser Stelle gefunden
            boolean found = true;
            
            // s und s2 Zeichen fuer Zeichen durchgehen und vergleichen
            for(int j = 0; found && j < s2.length(); j++) {
                // Zeichen unterschiedlich: s2 an dieser Stelle doch nicht gefunden
                if (s.charAt(i + j) != s2.charAt(j)) found = false;
            }
            
            // s2 wurde tatsaechlich an dieser Stelle gefunden
            if (found) ret = i;
        }
        return ret;
    }
    
}
